Package javax.help

# Class Map.ID

java.lang.Object
javax.help.Map.ID

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `Map`

public static final class Map.ID extends Object implements Serializable
An ID is a pair of String, HelpSet. An ID fully identifies a "location" within a HelpSet.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`HelpSet`
`hs`
`String`
`id`

## Method Summary

Modifier and Type
Method
Description
`static Map.ID`
`create(String id, HelpSet hs)`
A location within a HelpSet.
`boolean`
`equals(Object o)`
Determines if two IDs are equal.
`HelpSet`
`getHelpSet()`
Getter for property hs.
`String`
`getIDString()`
Getter for property id.
`URL`
`getURL()`
Returns the URL that the Map.ID refers to.
`String`
`toString()`
Gets an external represenation of an ID.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id

### hs

public HelpSet hs

## Method Details

### create

public static Map.ID create(String id, HelpSet hs) throws BadIDException
A location within a HelpSet. If id or hs are null, a null ID is returned.

Parameters:
  `id` - The String
  `hs` - The HelpSet
Throws:
  `BadIDException` - if String is not within the Map of the HelpSet.

### getHelpSet

public HelpSet getHelpSet()
Getter for property hs.

Returns:
  Value of property hs.

### getIDString

public String getIDString()
Getter for property id.

Returns:
  Value of property id.

### getURL

public URL getURL() throws MalformedURLException
Returns the URL that the Map.ID refers to.

Returns:
  URL The matching URL. Null if the map cannot solve the ID.
Throws:
  `MalformedURLException` - if the URL is malformed
See Also:
  - `Map.getURLFromID(javax.help.Map.ID id)`

### equals

public boolean equals(Object o)
Determines if two IDs are equal.

Overrides:
  `equals` in class `Object`
Parameters:
  `o` - The object to compare.

### toString

public String toString()
Gets an external represenation of an ID.

Overrides:
  `toString` in class `Object`